package com.chenyang.nse.bussiness.entity.orm.table.core.masking;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;
import org.springframework.data.annotation.Transient;

@Entity
@Table(
   name = "T_CORE_WATERMARKKEY_INFO"
)
public class TCoreWatermarkKeyInfo extends TBaseEntity {
   private String keyname;
   private String secretkey;
   private String company;
   private String companyaddress;
   private String dateowner;
   private String dept;
   private String telephoneNum;
   private String distributeDate;
   private String usagescenarios;
   private Date createtime;
   private Date updatetime;
   private String createuser;
   private String updateuser;
   @Transient
   private String similar;
   private String matchstr;

   public String getSecretkey() {
      return this.secretkey;
   }

   public String getKeyname() {
      return this.keyname;
   }

   public void setKeyname(String keyname) {
      this.keyname = keyname;
   }

   public void setSecretkey(String secretkey) {
      this.secretkey = secretkey;
   }

   public String getCompany() {
      return this.company;
   }

   public void setCompany(String company) {
      this.company = company;
   }

   public String getCompanyaddress() {
      return this.companyaddress;
   }

   public void setCompanyaddress(String companyaddress) {
      this.companyaddress = companyaddress;
   }

   public String getDateowner() {
      return this.dateowner;
   }

   public void setDateowner(String dateowner) {
      this.dateowner = dateowner;
   }

   public String getDept() {
      return this.dept;
   }

   public void setDept(String dept) {
      this.dept = dept;
   }

   public String getTelephoneNum() {
      return this.telephoneNum;
   }

   public void setTelephoneNum(String telephoneNum) {
      this.telephoneNum = telephoneNum;
   }

   public String getDistributeDate() {
      return this.distributeDate;
   }

   public void setDistributeDate(String distributeDate) {
      this.distributeDate = distributeDate;
   }

   public String getUsagescenarios() {
      return this.usagescenarios;
   }

   public void setUsagescenarios(String usagescenarios) {
      this.usagescenarios = usagescenarios;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public String getUpdateuser() {
      return this.updateuser;
   }

   public void setUpdateuser(String updateuser) {
      this.updateuser = updateuser;
   }

   public String getSimilar() {
      return this.similar;
   }

   public void setSimilar(String similar) {
      this.similar = similar;
   }

   public String getMatchstr() {
      return this.matchstr;
   }

   public void setMatchstr(String matchstr) {
      this.matchstr = matchstr;
   }
}
